<template>
  <div>
    <article class="p-6 text-base bg-white rounded-lg dark:bg-gray-900 my-5">
      <footer class="flex justify-between items-center mb-2">
        <div class="flex items-center">
          <p class="inline-flex items-center mr-3 text-sm text-gray-900 dark:text-white font-semibold">
            <img
              class="mr-2 w-6 h-6 rounded-full"
              :src="'https://api.dicebear.com/9.x/personas/svg?radius=50&seed=' + props.comment.User.username"
              alt="Michael Gough"
            >
            {{ props.comment.User.username }}
          </p>
          <p class="text-sm text-gray-600 dark:text-gray-400">
            <time pubdate datetime="2022-02-08" title="February 8th, 2022">{{ publishedDate }}</time>
          </p>
        </div>
      </footer>
      <p class="text-gray-500 dark:text-gray-400">
        {{ props.comment.text }}
      </p>
    </article>
  </div>
</template>

<script lang="ts" setup>
import moment from "moment";

const props = defineProps({
  comment: {
    type: Object,
    required: true
  }
})

const publishedDate = computed(() => moment(props.comment.published_at).format('MMMM Do, YYYY') )

</script>